<template lang="pug">
  main.landing
    header.header
      auth(:isLanding="true")
    hero
    editor
    gallery
    related
    result
    photoshop
    app-footer(class="something")
</template>

<script>
import hero from './hero.vue'
import editor from './editor.vue'
import gallery from './gallery.vue'
import related from './related.vue'
import result from './result.vue'
import photoshop from './photoshop.vue'

export default {
  components: {
    hero,
    editor,
    gallery,
    related,
    result,
    photoshop
  },
  mounted () {
    localStorage.setItem('isCreator', 'true')
  }
}
</script>

<style lang="scss" scoped>
@import "../../assets/css/mixins.scss";

.landing {
  touch-action: manipulation;

  & .header {
    display: none;

    @media (min-width: 576px) {
      display: flex;
      justify-content: flex-end;
      position: absolute;
      z-index: 10;
      box-sizing: border-box;
      top: 0;
      left: 0;
      width: 100%;
      padding: 24px 32px;
    }

    &__button {
      display: flex;
      padding: 17px 22px 15px;
      background: #4ac144;
      border: 0;
      border-radius: 32px;
      cursor: pointer;
      outline: none;
      transition: 0.2s;

      &:hover {
        background: darken(#4ac144, 5%);
      }

      &:active {
        transform: scale(0.97);
      }

      &:focus {
        box-shadow: 0 0 0 2px darken(#4ac144, 5%);
      }

      & .button {
        &__icon {
          width: 18px;
          height: 18px;
          margin-right: 12px;
        }

        &__label {
          font-family: "SF Pro Text";
          font-weight: 500;
          font-size: 15px;
          line-height: 20px;
          letter-spacing: -0.01em;
          color: #fff;
        }
      }
    }
  }
}
</style>

<style lang="scss">
.landing .something {
  background: #232323;
  font-size: 14px;
  line-height: 1.5;

  .container {
    margin: 0 auto;
    max-width: 1040px;
  }
}

.cookies-widget {
  display: block;
  box-shadow: none !important;
}

.cookies-widget__text {
  float: left;
  padding: 8px 8px;
  font-size: 15px !important;
}

.cookies-widget__close {
  float: right;
  position: relative !important;
  width: auto !important;
  height: auto !important;
  padding: 8px 12px !important;
  top: 8px !important;
  right: auto !important;
  color: #fff;
  transition: 0.2s;

  &:before {
    display: block;
    position: absolute;
    left: 0;
    top: 1px;
    content: "";
    width: 100%;
    height: 100%;
    background: #fff;
    border-radius: 100%;
    transform: scale(1);
    opacity: 0;
    transition: 0.2s;
    z-index: -1;
  }

  &:hover:before {
    opacity: 0.3;
    transform: scale(0.9);
  }

  &:active {
    transform: scale(0.95);
  }
}
</style>
